---
tags:
  - Haskell
date: 2015-10-01
categories:
  - Haskell
  - Links
---

# Talks und Posts zu Haskell

Gründe Haskell zu nutzen und wo Vorteile liegen.

## Talks

- [The Future is parallel](https://www.youtube.com/watch?v=hlyQjK1qjw8)
- [Lenses](https://skillsmatter.com/skillscasts/4251-lenses-compositional-data-access-and-manipulation)
  (Registrierung nötig - kostenfrei), siehe auch: [Lenses](Lenses.md)
- [Running a Startup on Haskell](https://www.youtube.com/watch?v=ZR3Jirqk6W8)
- [We're doing it all wrong](https://www.youtube.com/watch?v=TS1lpKBMkgg) - A
  Long-Term Scala-Compiler-Developer quits his job after years and tells why
  Scala is a mess.
- [Monads explained in Javascript](https://www.youtube.com/watch?v=b0EF0VTs9Dc)
- [Vinyl Records](http://vimeo.com/95694918) with
  [Slides](https://github.com/VinylRecords/BayHac2014-Talk)
- [Thinking with Laziness](http://begriffs.com/posts/2015-06-17-thinking-with-laziness.html)

## Bücher/Paper

- [Papers on STM](https://research.microsoft.com/en-us/um/people/simonpj/papers/stm/)
- [Tackling the awkward squad](https://research.microsoft.com/en-us/um/people/simonpj/papers/marktoberdorf/)
- [Parallel and Concurrent Programming in Haskell](http://chimera.labs.oreilly.com/books/1230000000929/pr01.html)
- [Slides of a Quickcheck-Talk](http://scholar.google.de/scholar?cluster=7602244452224287116&hl=de&as_sdt=0,5)
- [Understanding F-Algebras](https://www.fpcomplete.com/user/bartosz/understanding-algebras)
  schöne Erklärung. Man könnte danach anfangen den [Morphismen-zoo](Code
  Snippets/Morphisms.md) zu verstehen...
- [Monad Transformers](https://github.com/kqr/gists/blob/master/articles/gentle-introduction-monad-transformers.md)

## Funny Talks

- [Tom LaGatta on Category-Theory](https://www.youtube.com/watch?v=o6L6XeNdd_k)
- [Unifying Structured Recursion Schemes](https://www.youtube.com/watch?v=9EGYSb9vov8)
  aka. [[Morphisms|The Morphism-Zoo]]
- [Hole-Driven-Development Teaser (Enthusiasticon, raichoo)](https://www.youtube.com/watch?v=IRGKkiGG5CY)

## Unsorted/Unseen

- [Functional Reactive Programming](http://insights.pwning.de/_edit/Haskell/Why_Haskell_is_superior)
- [Diagrams: Declarative Vector Graphics in Haskell](http://vimeo.com/84104226)
- [Lenses, Folds & Traversels by Edward Kmett](https://www.youtube.com/watch?v=cefnmjtAolY)
- [Discrimination is Wrong by Edward Kmett](https://www.youtube.com/watch?v=cB8DapKQz-I&list=WL&index=10)

## Tutorials

- [Haskell fast and hard](https://www.fpcomplete.com/school/starting-with-haskell/haskell-fast-hard/haskell-fast-hard-part-1)
- [Counterexamples for Typeclasses](http://blog.functorial.com/posts/2015-12-06-Counterexamples.html)
